<html>
<head>
<title>Ogre::ParamDictionary Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParamDictionary Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParamDictionary" -->
<p>Class to hold a dictionary of parameters for a single class.  
 <a href="classOgre_1_1ParamDictionary.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ParamDictionary-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#af3f46fdeacdb40c4dc234cd3540cd701">ParamDictionary</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#a411fa9cc6ca47ea388307fdd7841f547">addParameter</a> (const <a class="el" href="classOgre_1_1ParameterDef.html">ParameterDef</a> &amp;paramDef, <a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *paramCmd)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for adding a parameter definition for this class.  <a href="#a411fa9cc6ca47ea388307fdd7841f547"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#ab0f6c3fd225dc9d3a8a2c4ff6ef6ffda">getParameters</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#ab0f6c3fd225dc9d3a8a2c4ff6ef6ffda"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#a6b324fb02bdd70f7fdd6566fb634e1dc">getParamCommand</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the parameter command object for a named parameter.  <a href="#a6b324fb02bdd70f7fdd6566fb634e1dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#a10d47cfb52e9a32917e5a0965a7b7bb8">getParamCommand</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#a37e4ea1d0c014e743b815b6a829f5a75">mParamDefs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definitions of parameters.  <a href="#a37e4ea1d0c014e743b815b6a829f5a75"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga2bce134286f461b9f474618eb0e249b9">ParamCommandMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#a374491774db59af87966f14795737996">mParamCommands</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command objects to get/set.  <a href="#a374491774db59af87966f14795737996"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#af1037345f6c7a90f967a44cb1eb6dadc">StringInterface</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class to hold a dictionary of parameters for a single class. </p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00088">88</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af3f46fdeacdb40c4dc234cd3540cd701"></a><!-- doxytag: member="Ogre::ParamDictionary::ParamDictionary" ref="af3f46fdeacdb40c4dc234cd3540cd701" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html#af3f46fdeacdb40c4dc234cd3540cd701">Ogre::ParamDictionary::ParamDictionary</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00125">125</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a411fa9cc6ca47ea388307fdd7841f547"></a><!-- doxytag: member="Ogre::ParamDictionary::addParameter" ref="a411fa9cc6ca47ea388307fdd7841f547" args="(const ParameterDef &amp;paramDef, ParamCommand *paramCmd)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ParamDictionary.html#a411fa9cc6ca47ea388307fdd7841f547">Ogre::ParamDictionary::addParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ParameterDef.html">ParameterDef</a> &amp;&#160;</td>
          <td class="paramname"><em>paramDef</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *&#160;</td>
          <td class="paramname"><em>paramCmd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for adding a parameter definition for this class. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">paramDef</td><td>A <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection.">ParameterDef</a> object defining the parameter </td></tr>
    <tr><td class="paramname">paramCmd</td><td>Pointer to a <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a> subclass to handle the getting / setting of this parameter. NB this class will not destroy this on shutdown, please ensure you do </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00132">132</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h_source.html#l00068">Ogre::ParameterDef::name</a>.</p>

</div>
</div>
<a class="anchor" id="a6b324fb02bdd70f7fdd6566fb634e1dc"></a><!-- doxytag: member="Ogre::ParamDictionary::getParamCommand" ref="a6b324fb02bdd70f7fdd6566fb634e1dc" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a>* <a class="el" href="classOgre_1_1ParamDictionary.html#a6b324fb02bdd70f7fdd6566fb634e1dc">Ogre::ParamDictionary::getParamCommand</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the parameter command object for a named parameter. </p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00099">99</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00270">Ogre::StringInterface::getParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a10d47cfb52e9a32917e5a0965a7b7bb8"></a><!-- doxytag: member="Ogre::ParamDictionary::getParamCommand" ref="a10d47cfb52e9a32917e5a0965a7b7bb8" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a>* <a class="el" href="classOgre_1_1ParamDictionary.html#a6b324fb02bdd70f7fdd6566fb634e1dc">Ogre::ParamDictionary::getParamCommand</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00112">112</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0f6c3fd225dc9d3a8a2c4ff6ef6ffda"></a><!-- doxytag: member="Ogre::ParamDictionary::getParameters" ref="ab0f6c3fd225dc9d3a8a2c4ff6ef6ffda" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a>&amp; <a class="el" href="classOgre_1_1ParamDictionary.html#ab0f6c3fd225dc9d3a8a2c4ff6ef6ffda">Ogre::ParamDictionary::getParameters</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a list of parameters valid for this object. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection.">ParameterDef</a> objects. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00142">142</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="af1037345f6c7a90f967a44cb1eb6dadc"></a><!-- doxytag: member="Ogre::ParamDictionary::StringInterface" ref="af1037345f6c7a90f967a44cb1eb6dadc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00090">90</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a374491774db59af87966f14795737996"></a><!-- doxytag: member="Ogre::ParamDictionary::mParamCommands" ref="a374491774db59af87966f14795737996" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga2bce134286f461b9f474618eb0e249b9">ParamCommandMap</a> <a class="el" href="classOgre_1_1ParamDictionary.html#a374491774db59af87966f14795737996">Ogre::ParamDictionary::mParamCommands</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command objects to get/set. </p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00096">96</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a37e4ea1d0c014e743b815b6a829f5a75"></a><!-- doxytag: member="Ogre::ParamDictionary::mParamDefs" ref="a37e4ea1d0c014e743b815b6a829f5a75" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a> <a class="el" href="classOgre_1_1ParamDictionary.html#a37e4ea1d0c014e743b815b6a829f5a75">Ogre::ParamDictionary::mParamDefs</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definitions of parameters. </p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00093">93</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00301">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
